#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

uint8_t	dataIn[65536];
uint8_t	dataOut[32768];

int	main(int argc, char **argv) {
	FILE *handle =fopen("newyell.raw", "rb");
	size_t samplesRead =fread(dataIn, 1, 65536, handle);
	fclose(handle);
	
	memset(dataOut, 0x88, sizeof(dataOut));
	for (size_t sample =0; sample <samplesRead >>1; sample++) {
		int inSample1 =dataIn[sample*2 +0] >>4;
		int inSample2 =dataIn[sample*2 +1] >>4;
		dataOut[sample] = inSample1 | (inSample2 <<4);
	}
	
	handle =fopen("newyell.v4", "wb");
	fwrite(dataOut, 1, 0xA00, handle);
	fclose(handle);
}